Quick question about POPSloader

Discussion in 'PSP - Hacking & Homebrew' started by Alacres, Aug 8, 2011.

Aug 8, 2011
  1. Alacres
    OP

    Newcomer Alacres Advanced Member

    Joined:
    Dec 11, 2009
    Messages:
    69
    Country:
    United States
    I've been messing with POPSloader (since Megaman Legends was slowing down in certain places) and after finding the correct version, I was wondering if it was possible to save the version of POPS for the game itself instead of globally? Switching back and forth isn't a big deal really, but I figured it couldn't hurt to ask about it.

    Thanks [​IMG]
     
  2. prowler

    Member prowler Sony

    Joined:
    Jul 14, 2009
    Messages:
    9,473
    Location:
    Ragol
    Country:
    United Kingdom
    I'm sure pops version is saved per game, that's why when starting a new game that it doesn't know, it asks for what version to use.

    Could be wrong, I haven't used popsloader since M33, aha.
     
  3. Alacres
    OP

    Newcomer Alacres Advanced Member

    Joined:
    Dec 11, 2009
    Messages:
    69
    Country:
    United States
    I had read on another forum (I think the post was dated July 11th or something close to that) that the function for saving the versions individually was left out of one of the recent updates, or something to that extent. As it is now, the only way to change the version is to hold R as the game as loading. Once you pick the version, it's used for every game globally so it's necessary to manually change it whenever you load up a new game that needs a specific version.

    It's not a big deal if you're not playing too many games, but I can imagine it being a bit hard to keep track of once you're playing a bunch, each with their own versions/settings. I was hoping there might be a fix for it.
     
  4. zygie

    Member zygie GBAtemp Regular

    Joined:
    Apr 16, 2009
    Messages:
    180
    Country:
    Philippines
    From my experience, what prowler_ said is correct. I had two PSX games, Chrono Cross needed different pops so I held R and set it to 351. When I tried another PSX game and held R, no pops version was selected (default FW.) I think it's per-game.

    But then I'm not sure which build I used, as far as I know, popsloader for 6.xx has 2 builds right now.
     
  5. Alacres
    OP

    Newcomer Alacres Advanced Member

    Joined:
    Dec 11, 2009
    Messages:
    69
    Country:
    United States
    Any idea where I might find that version? I'm using the one from the guide on this site, and for some reason it just won't save them individually. Could it have anything to do with the folders of my games being renamed? I changed the folder name from the Disc ID number to the actual name of the game (to make it easier to keep track of them).
     
  6. zygie

    Member zygie GBAtemp Regular

    Joined:
    Apr 16, 2009
    Messages:
    180
    Country:
    Philippines
    I'm not sure which one is in this site, but here's the page that has both builds. It's part of the pro cfw project.

    I also changed my eboot folder names though, so can't be certain if that's the problem.
     
  7. realveemon

    Member realveemon GBAtemp Regular

    Joined:
    Oct 2, 2008
    Messages:
    144
    Country:
    United States
    PRO POPs has v2 out..... Download the update and overite all files it asks for....

    Much like v1 though... POPs won't ask what POPs you want unless you hold R so no point in waiting for the menu to show up first time for that game (Personally i want this back). All games are now treated as an individual so you don't have to go back and forth.. Source is on the official POPs loader for PRO page...
     
  8. Alacres
    OP

    Newcomer Alacres Advanced Member

    Joined:
    Dec 11, 2009
    Messages:
    69
    Country:
    United States
    Thanks for the info guys. I'm not sure what the deal is with the version I'm using, but it still doesn't seem to be saving them individually. I've ran several tests, and everytime I change a version of POPS for one game, then switch to another game, it's always on the one that I last switched to.

    I'm using the version from this guide here - http://gbatemp.net/t301579-guide-to-instal...ader-on-pro-cfw. I'm pretty sure it's the most recent version since that's what the guide is for, but I'll try to one linked in this thread and see if that helps.

    Thanks again [​IMG]
     
  9. Terminator02

    Member Terminator02 ヽ( 。 ヮ゚)ノ

    Joined:
    Apr 10, 2010
    Messages:
    4,517
    Location:
    Somewhere near monkat
    Country:
    United States
    that would indeed be v2, unless you did it before i updated it for v2 (i added v2 to the title when i updated it)
     
  10. realveemon

    Member realveemon GBAtemp Regular

    Joined:
    Oct 2, 2008
    Messages:
    144
    Country:
    United States
    Delete the Config file in the POPSLOADER folder and reboot the system.. Try again and whilst holding R as your booting up the PS1 game look way on top to see if it says new popsloader V1/V2... It will say at the top so you can distinguish which one you have...

    If all that fails, make sure popsloader isn't double booting in the pops.txt.... When i installed the new pops i got a double install... One manual and the other when that eboot was decrypting....

    If you've done both of those and still a problem persists....... actually.... why has no-one asked this? What firmware and psp model are you using?

    OFFTOPIC EDIT: Hey Terminator02.. Why isn't your guide in the FAqs section or Stickied for that matter?
     
  11. Alacres
    OP

    Newcomer Alacres Advanced Member

    Joined:
    Dec 11, 2009
    Messages:
    69
    Country:
    United States
    Hey, sorry for the long response time - I only have internet when at my parents house. I realized now that the version I have installed is actually v1 (I somehow missed it at the top of the screen). I guess I must have downloaded it before you updated the guide (I think it was about a week ago when I got it).

    That said, I've been having some problems updating to the v2 version of the loader. I replaced the Module folder and prx files in my seplugins folder, and it shows up as "new v2 popsloader" when I hold R2 while entering a game, but it's doing some really weird stuff when I try to use it. For example, I just tried it using Megaman Legends (the only game I've had compatibility problems with so far), it didn't seem to apply the correct POPS version because I was getting the same slow down as when I use the original version. So I restarted the game, held R2 again to go back to the menu, and noticed that it was back to the default original version. Now things are even weirder - whenever I try picking the correct version (in this case, 3.40) it won't load the game, and it even shuts down my PSP completely. Could this have anything to do with deleting all the pbp files (from the root directory) and the popsloader installer folder like advised in the guide? I'd do a re-install but I'm not really sure how to do it with the v2 version. If you guys could spare some advice I'd be grateful.

    Btw, thanks for the help everyone [​IMG]


    Edit: Just wanted to note that I put the old v1 files back and it's working again. Not sure why I'm having probs with v2.
     
  12. realveemon

    Member realveemon GBAtemp Regular

    Joined:
    Oct 2, 2008
    Messages:
    144
    Country:
    United States
    Deleting the PBP files and installer is not going to cause problems.. Make sure that you downloaded files relevant to your psp model(X000 or GO).

    Make sure that the pops.txt is configured correctly so no double entries... Are you using PRO or ME? and what version are you using? later models of the firmware are compatible so PRO-B6 will do no justice..

    PSP 1k/2k/Early 3k (04g) can use all the pops with little hitch but the 3k(05g+) and the GO series have some problems with certain POPS.. Whether or not its a bug which can be fixed or not for now is unknown.. Perhaps in a few weeks they'll release v3 which will allow all PSPs to use all POPs versions.. Or perhaps its the CFW that needs a few tweaks.. Perhaps it's the best we can do...

    I have a GO and V2 works fine for me.. Delete the config file inside \seplugins\popsloader and try again with v2..

    Or if your using ME that you may want the POPSBridge... Set it before the popsloader in the pops.txt and enable both..
     
  13. Alacres
    OP

    Newcomer Alacres Advanced Member

    Joined:
    Dec 11, 2009
    Messages:
    69
    Country:
    United States
    Thanks for the response. I'm using the 6.20PRO-B8 CFW. The psp I'm using is a 4G model too (at least that's what it says in the system info).

    I'm still having no luck getting this to work. At first, I thought it wasn't working because I was using the module folder included with v2 (which is way smaller than the folder with v1), but it doesn't make any difference. I can't switch to a different POPS without my PSP turning off, unless I'm using the v1 loader. It's really strange. I can't figure out what I'm doing wrong. Any other ideas on what I might be able to do?

    Edit: Just wanted to note a weird thing I noticed earlier. Whenever I put the v2 loader on my stick and select my POPS version for the first time, it doesn't actually select it. It loads the game as the original version (even with my preferred screen sized settings, which is even more confusing since the cfg file was deleted). Then, when I restart the game and pick the correct pops version again, my system just shuts off. I can't figure out what would cause such weird behavior.

    Edit 2: Well, scratch that... it seems to be working now lol. I'm not sure what I did but all's well that ends well I guess. Thanks again.
     
  14. realveemon

    Member realveemon GBAtemp Regular

    Joined:
    Oct 2, 2008
    Messages:
    144
    Country:
    United States
    Glad thats sorted....

    Always keep your seplugins neat and organised and save a world of headaches kids....
     

Share This Page